| Qore HttpServer Module Reference 1.4

Loading...
Searching...
No Matches
Public Attributes | List of all members
HttpServer::HttpServerOptionInfo Struct Reference

Hash for HttpServer options. More...

## Public Attributes
bool | debug = False
| Debug flag.
hash< auto > | hdr
| Headers to add in responses.
*LoggerInterface | logger
| HTTP server logger.
string | name = HttpServer::HttpServerString
| HTTP server name.
bool | protect_last_listener = False
| Do not allow the last listener to be stopped.
date | ttl = HttpServer::DefaultTtl
| Idle disconnect time; the default is 75 seconds.

## Detailed Description

Hash for HttpServer options.